package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.annotation.Excel;
import com.hxhq.common.core.domain.MpBaseEntity;

import java.util.Date;


/**
 * 试验-预填单对象 t_study_form_pre
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_form_pre")
public class StudyFormPre extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 所属试验学科id */
    private Long studySubjectId;

    /** 表单编号 */
    private String bdbh;

    /** 表单名称 */
    @Compare(name = "表单名称",nameEn = "Preset Name")
    private String bdmc;

    /** 表单说明 */
    @Compare(name = "表单说明",nameEn = "Preset Description")
    private String bdsm;

    /** 模板id */
    private Long templateId;

    /** 表单内容 */
    private String bdnr;

    /** 表单归属人id */
    private Long userId;

    /** 表单归属人名称 */
    private String userMc;

    /** 表单归属人名称-英文 */
    private String userMcEn;

    /** 表单状态：1：填报中；3：已提交；5：已通过；7：未通过 ；9：待关闭；11：已关闭*/
    private Integer bdzt;

    /** 是否需要负责人审核 */
    @Compare(name = "是否需要负责人审核",nameEn = "是否需要负责人审核")
    private String fzrsh;

    /** 负责人审核状态：1：未审核；5：审核中；10：已审核 */
    private Integer fzrshzt;

    /** 审核人员id(通知用) */
    private Long shryId;

    /** 审核人员名称(通知用) */
    private String shryMc;

    /** 审核人员名称-英文(通知用) */
    private String shryMcEn;

    /** 实际审核人员id */
    private Long sjshryId;

    /** 实际审核人员名称 */
    private String sjshryMc;

    /** 实际审核人员名称-英文 */
    private String sjshryMcEn;

    /** 提交时间 */
    @Excel(name = "提交时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tjsj;

    /** 字段修改记录 */
    private String zdxgjl;

    /** 复核意见记录 */
    private String fhyjjl;

    /** 字段勾选记录 */
    private String zdgxjl;

    /** 已提交过数据的字段 */
    private String submittedCodes;

    /** 签名人密码 */
    @TableField(exist = false)
    private String qmrmm;

    /** 模板名称 */
    @TableField(exist = false)
    @Compare(name = "模板名称")
    private String templateMc;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateSn;

    /** 模板所属部门/学科 */
    @TableField(exist = false)
    private Long templateDeptId;

    /** 试验编号 */
    @TableField(exist = false)
    private String studySn;

    /** 试验名称 */
    @TableField(exist = false)
    private String studyMc;

    public String getSubmittedCodes() {
        return submittedCodes;
    }

    public void setSubmittedCodes(String submittedCodes) {
        this.submittedCodes = submittedCodes;
    }

    public String getSjshryMc() {
        return sjshryMc;
    }

    public void setSjshryMc(String sjshryMc) {
        this.sjshryMc = sjshryMc;
    }

    public String getSjshryMcEn() {
        return sjshryMcEn;
    }

    public void setSjshryMcEn(String sjshryMcEn) {
        this.sjshryMcEn = sjshryMcEn;
    }

    public Long getSjshryId() {
        return sjshryId;
    }

    public void setSjshryId(Long sjshryId) {
        this.sjshryId = sjshryId;
    }

    public String getUserMcEn() {
        return userMcEn;
    }

    public void setUserMcEn(String userMcEn) {
        this.userMcEn = userMcEn;
    }

    public String getShryMcEn() {
        return shryMcEn;
    }

    public void setShryMcEn(String shryMcEn) {
        this.shryMcEn = shryMcEn;
    }

    public String getZdxgjl() {
        return zdxgjl;
    }

    public void setZdxgjl(String zdxgjl) {
        this.zdxgjl = zdxgjl;
    }

    public String getFhyjjl() {
        return fhyjjl;
    }

    public void setFhyjjl(String fhyjjl) {
        this.fhyjjl = fhyjjl;
    }

    public String getZdgxjl() {
        return zdgxjl;
    }

    public void setZdgxjl(String zdgxjl) {
        this.zdgxjl = zdgxjl;
    }

    public String getStudySn() {
        return studySn;
    }

    public void setStudySn(String studySn) {
        this.studySn = studySn;
    }

    public String getStudyMc() {
        return studyMc;
    }

    public void setStudyMc(String studyMc) {
        this.studyMc = studyMc;
    }

    public Long getTemplateDeptId() {
        return templateDeptId;
    }

    public void setTemplateDeptId(Long templateDeptId) {
        this.templateDeptId = templateDeptId;
    }

    public String getTemplateSn() {
        return templateSn;
    }

    public void setTemplateSn(String templateSn) {
        this.templateSn = templateSn;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public Long getStudySubjectId() {
        return studySubjectId;
    }

    public void setStudySubjectId(Long studySubjectId) {
        this.studySubjectId = studySubjectId;
    }

    public String getFzrsh() {
        return fzrsh;
    }

    public void setFzrsh(String fzrsh) {
        this.fzrsh = fzrsh;
    }

    public Integer getFzrshzt() {
        return fzrshzt;
    }

    public void setFzrshzt(Integer fzrshzt) {
        this.fzrshzt = fzrshzt;
    }

    public Long getShryId() {
        return shryId;
    }

    public void setShryId(Long shryId) {
        this.shryId = shryId;
    }

    public String getShryMc() {
        return shryMc;
    }

    public void setShryMc(String shryMc) {
        this.shryMc = shryMc;
    }

    public Date getTjsj() {
        return tjsj;
    }

    public void setTjsj(Date tjsj) {
        this.tjsj = tjsj;
    }

    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setBdbh(String bdbh)
    {
        this.bdbh = bdbh;
    }

    public String getBdbh()
    {
        return bdbh;
    }

    public void setBdmc(String bdmc)
    {
        this.bdmc = bdmc;
    }

    public String getBdmc()
    {
        return bdmc;
    }

    public void setBdsm(String bdsm)
    {
        this.bdsm = bdsm;
    }

    public String getBdsm()
    {
        return bdsm;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setTemplateMc(String templateMc)
    {
        this.templateMc = templateMc;
    }

    public String getTemplateMc()
    {
        return templateMc;
    }

    public void setBdnr(String bdnr)
    {
        this.bdnr = bdnr;
    }

    public String getBdnr()
    {
        return bdnr;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserMc(String userMc)
    {
        this.userMc = userMc;
    }

    public String getUserMc()
    {
        return userMc;
    }

    public void setBdzt(Integer bdzt)
    {
        this.bdzt = bdzt;
    }

    public Integer getBdzt()
    {
        return bdzt;
    }

}
